package domain


type AlibabaWdkSkuChannelskuAddApiResult struct {
    /*
        成功失败     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        返会结果     */
    Model  *string `json:"model,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuAddApiResult) SetSuccess(v bool) *AlibabaWdkSkuChannelskuAddApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResult) SetErrCode(v string) *AlibabaWdkSkuChannelskuAddApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResult) SetModel(v string) *AlibabaWdkSkuChannelskuAddApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResult) SetErrMsg(v string) *AlibabaWdkSkuChannelskuAddApiResult {
    s.ErrMsg = &v
    return s
}
